Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.notification.event
Class SetModifiedEvent

    java.lang.Object
      java.util.EventObject
          org.jboss.cache.pojo.notification.event.Event
              org.jboss.cache.pojo.notification.event.SetModifiedEvent

All Implemented Interfaces:
  Serializable

    public final class SetModifiedEvent

extends Event

A notification that indicates an attached Set was modified.

Author:
  Jason T. Greene
See Also:
  Serialized Form

Nested Class Summary
`static class` | `SetModifiedEvent.Operation`

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SetModifiedEvent(NotificationContext context, Set source, SetModifiedEvent.Operation operation, Object value, boolean local)`

Method Summary
`SetModifiedEvent.Operation` | `getOperation()` Gets the operation of this change.
`Set` | `getSource()`
`Object` | `getValue()` Gets the new value for this change.

Methods inherited from class org.jboss.cache.pojo.notification.event.Event
`getContext, isLocal`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetModifiedEvent

    public SetModifiedEvent(NotificationContext context,
                            Set source,
                            SetModifiedEvent.Operation operation,
                            Object value,
                            boolean local)

Method Detail

### getOperation

    public SetModifiedEvent.Operation getOperation()

  Gets the operation of this change.

  Returns:
    the operation.

### getValue

    public Object getValue()

  Gets the new value for this change. Returns null on a remove operation.

  Returns:
    the new value, or null if remove

### getSource

    public Set getSource()

  Overrides:
    `getSource` in class `EventObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 JBoss, a division of Red Hat. All Rights Reserved.